Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161116 - CAN-2005-1993 sudo trusted user arbitrary command execution
Summary: CAN-2005-1993 sudo trusted user arbitrary command execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sudo
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard: public=20050620,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 16:50 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-535
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-29 16:04:39 UTC


Attachments (Terms of Use)
Patch which fixes this issue. (deleted)
2005-06-20 18:20 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:535 normal SHIPPED_LIVE Moderate: sudo security update 2005-06-29 04:00:00 UTC

Description Josh Bressers 2005-06-20 16:50:00 UTC
A race condition in Sudo's command pathname handling prior to
Sudo version 1.6.8p9 that could allow a user with Sudo privileges
to run arbitrary commands.

http://www.securityfocus.com/archive/1/402741/30/0/threaded

Comment 1 Josh Bressers 2005-06-20 16:50:49 UTC
This issue also affects RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-06-20 18:20:35 UTC
Created attachment 115708 [details]
Patch which fixes this issue.

Comment 7 Josh Bressers 2005-06-29 16:20:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-535.html


Note You need to log in before you can comment on or make changes to this bug.